Debian Bug report logs - #467995
libogg-vorbis-header-pureperl-perl: FTBFS with Perl 5.10: the empty /usr/lib/perl5 is gone

version graph

Package: libogg-vorbis-header-pureperl-perl; Maintainer for libogg-vorbis-header-pureperl-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>; Source for libogg-vorbis-header-pureperl-perl is src:libogg-vorbis-header-pureperl-perl.

Reported by: Niko Tyni <ntyni@debian.org>

Date: Tue, 26 Feb 2008 19:29:51 UTC

Severity: important

Tags: patch

Found in version libogg-vorbis-header-pureperl-perl/0.07-2

Fixed in version libogg-vorbis-header-pureperl-perl/0.07-2.1

Done: Mark Hymers <mhy@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Florian Ragwitz <florian@mookooh.org>:
Bug#467995; Package libogg-vorbis-header-pureperl-perl. Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
New Bug report received and forwarded. Copy sent to Florian Ragwitz <florian@mookooh.org>. Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: maintonly@bugs.debian.org
Subject: libogg-vorbis-header-pureperl-perl: FTBFS with Perl 5.10: the empty /usr/lib/perl5 is gone
Date: Tue, 26 Feb 2008 21:10:22 +0200
Package: libogg-vorbis-header-pureperl-perl
Version: 0.07-2
Severity: important
User: debian-perl@lists.debian.org
Usertags: perl-5.10-ftbfs-rmdir

This package fails to build with Perl 5.10.0 (currently in
experimental) because of a bug in debian/rules that has been
uncovered by a change in ExtUtils::Install.

Until Perl 5.10.0, ExtUtils::Install had a bug that created an empty
/usr/lib/perl5 or /usr/share/perl5 directory when 'make install' was
run. This package fails to build because it relies on the presence of
this empty directory, usually by trying to remove it without checking
if it exists first.

The suggested fix for the usual 'unconditional rmdir' case is to use
a conditional like

[ ! -d $(TMP)/usr/lib/perl5 ] || rmdir --ignore-fail-on-non-empty
--parents --verbose $(TMP)/usr/lib/perl5

See the current dh-make-perl templates.

Please treat this bug as 'serious' already: Perl 5.10.0 is scheduled
for unstable in a week or so.

Details about the ExtUtils::Install change can be found in #465783. 
-- 
Niko Tyni   ntyni@debian.org





Information forwarded to debian-bugs-dist@lists.debian.org, Florian Ragwitz <florian@mookooh.org>:
Bug#467995; Package libogg-vorbis-header-pureperl-perl. Full text and rfc822 format available.

Acknowledgement sent to Mark Hymers <mhy@debian.org>:
Extra info received and forwarded to list. Copy sent to Florian Ragwitz <florian@mookooh.org>. Full text and rfc822 format available.

Message #10 received at 467995@bugs.debian.org (full text, mbox):

From: Mark Hymers <mhy@debian.org>
To: 467995@bugs.debian.org
Subject: libogg-vorbis-header-pureperl-perl: diff for NMU version 0.07-2.1
Date: Sat, 5 Apr 2008 22:27:41 +0100
[Message part 1 (text/plain, inline)]
tags 467995 + patch
thanks

Hi,

Attached is the diff for my libogg-vorbis-header-pureperl-perl 0.07-2.1 NMU.

-- 
Mark Hymers <mhy at debian dot org>
[libogg-vorbis-header-pureperl-perl-0.07-2.1-nmu.diff (text/x-diff, attachment)]

Tags added: patch Request was from Mark Hymers <mhy@debian.org> to control@bugs.debian.org. (Sat, 05 Apr 2008 21:29:44 GMT) Full text and rfc822 format available.

Reply sent to Mark Hymers <mhy@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Niko Tyni <ntyni@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 467995-close@bugs.debian.org (full text, mbox):

From: Mark Hymers <mhy@debian.org>
To: 467995-close@bugs.debian.org
Subject: Bug#467995: fixed in libogg-vorbis-header-pureperl-perl 0.07-2.1
Date: Sat, 05 Apr 2008 21:32:29 +0000
Source: libogg-vorbis-header-pureperl-perl
Source-Version: 0.07-2.1

We believe that the bug you reported is fixed in the latest version of
libogg-vorbis-header-pureperl-perl, which is due to be installed in the Debian FTP archive:

libogg-vorbis-header-pureperl-perl_0.07-2.1.diff.gz
  to pool/main/libo/libogg-vorbis-header-pureperl-perl/libogg-vorbis-header-pureperl-perl_0.07-2.1.diff.gz
libogg-vorbis-header-pureperl-perl_0.07-2.1.dsc
  to pool/main/libo/libogg-vorbis-header-pureperl-perl/libogg-vorbis-header-pureperl-perl_0.07-2.1.dsc
libogg-vorbis-header-pureperl-perl_0.07-2.1_all.deb
  to pool/main/libo/libogg-vorbis-header-pureperl-perl/libogg-vorbis-header-pureperl-perl_0.07-2.1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 467995@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mark Hymers <mhy@debian.org> (supplier of updated libogg-vorbis-header-pureperl-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 05 Apr 2008 21:09:16 +0100
Source: libogg-vorbis-header-pureperl-perl
Binary: libogg-vorbis-header-pureperl-perl
Architecture: source all
Version: 0.07-2.1
Distribution: unstable
Urgency: low
Maintainer: Florian Ragwitz <florian@mookooh.org>
Changed-By: Mark Hymers <mhy@debian.org>
Description: 
 libogg-vorbis-header-pureperl-perl - A pure Perl interface to Ogg Vorbis information fields
Closes: 467995
Changes: 
 libogg-vorbis-header-pureperl-perl (0.07-2.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Fix FTBFS with Perl 5.10.  Closes: #467995
Files: 
 62480d75f2b7309e576a3516fbfbe259 707 perl optional libogg-vorbis-header-pureperl-perl_0.07-2.1.dsc
 e192cc08f7b7f88fb34723b83046df3a 2772 perl optional libogg-vorbis-header-pureperl-perl_0.07-2.1.diff.gz
 ec86c1b6d5011738563caeac9c89506a 11922 perl optional libogg-vorbis-header-pureperl-perl_0.07-2.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFH9+UdNIW6CNDsByMRAngpAKDQ+hcxjEyK9UR7b80doWPnzKM2xQCglOuv
uGuJKaX6EqPaYjVG8ZaqowM=
=przO
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 15 May 2008 07:56:32 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 03:04:07 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.